# RTX-GYTEBOT Documentation

## Contents

1. Introduction

- Contents
- Usage
- Overview

2. User Interface

- User interface
- Map editor
- Code editor
- 3D-Viewport

3. Technical details

- About the Engine

4. Licences

- Licences

## Usage

RTX-GYTEBOT is a free open source project made for educational purpose only.
I, Sven Vogel, the author of this project did not want this program or any of its resources to be given to any third-party person.
Any of the provided source code or resources can be used for private purposes, but nor for commercial ones.
Further instructions about the usage of individual resources are provided in the Licences section down below.

## Quick Overview

author:Sven Vogel
date: 04.01.2021
project: RTX-GYTEBOT
RTX-GYTEBOT is small project that aimed at bringing a programmable, object oriented robot simulator to life.
Thereby using OpenGL to render a 3D preview scene, instead of giving some lame and hard to read console output.
Several inbuilt editors are available to control and manipulate the world the robot spawns in.
These are primarily a map editor which gives you control about where what is placed initially in the world.
Additionally a code editor is used to directly program the robot in Java.
The soure code is fully documented with plenty of javadocs and inline comments.

## User interface